<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<web-app xmlns="http://java.sun.com/xml/ns/javaee" metadata-complete="true" version="2.5">
    <filter>
        <filter-name>XSSXSRFFilter</filter-name>
        <filter-class>org.apache.geronimo.console.filter.XSSXSRFFilter</filter-class>
        <async-supported>false</async-supported>
        <init-param>
            <param-name>enableXSRF</param-name>
            <param-value>false</param-value>
        </init-param>
    </filter>
    <filter-mapping>
        <filter-name>XSSXSRFFilter</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping>
    <listener>
        <listener-class>org.apache.geronimo.console.filter.XSSXSRFFilter</listener-class>
    </listener>
    <servlet>
        <servlet-name>popUpGraph</servlet-name>
        <servlet-class>org.apache.geronimo.monitoring.console.PopUpGraphServlet</servlet-class>
        <load-on-startup>1</load-on-startup>
    </servlet>
    <servlet>
        <servlet-name>monitoring</servlet-name>
        <servlet-class>org.apache.pluto.container.driver.PortletServlet</servlet-class>
        <init-param>
            <param-name>portlet-name</param-name>
            <param-value>monitoring</param-value>
        </init-param>
        <load-on-startup>1</load-on-startup>
    </servlet>
    <servlet>
        <servlet-name>jsp.monitoringPopUpGraph_jsp</servlet-name>
        <servlet-class>jsp.monitoringPopUpGraph_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.monitoringEditGraph_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.monitoringEditGraph_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.monitoringGraphs_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.monitoringGraphs_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.monitoringPage_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.monitoringPage_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.monitoringNormal_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.monitoringNormal_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.monitoringViewServer_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.monitoringViewServer_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.monitoringAddServer_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.monitoringAddServer_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.monitoringServers_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.monitoringServers_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.monitoringAddGraph_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.monitoringAddGraph_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.monitoringMaximized_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.monitoringMaximized_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.monitoringAddView_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.monitoringAddView_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.monitoringViews_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.monitoringViews_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.monitoringEditView_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.monitoringEditView_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.monitoringHelp_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.monitoringHelp_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.monitoringEdit_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.monitoringEdit_jsp</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>jsp.WEB_002dINF.view.monitoringEditServer_jsp</servlet-name>
        <servlet-class>jsp.WEB_002dINF.view.monitoringEditServer_jsp</servlet-class>
    </servlet>
    <servlet-mapping>
        <servlet-name>popUpGraph</servlet-name>
        <url-pattern>/popUpGraph</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>monitoring</servlet-name>
        <url-pattern>/PlutoInvoker/monitoring</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.monitoringPopUpGraph_jsp</servlet-name>
        <url-pattern>/monitoringPopUpGraph.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.monitoringEditGraph_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/monitoringEditGraph.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.monitoringGraphs_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/monitoringGraphs.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.monitoringPage_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/monitoringPage.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.monitoringNormal_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/monitoringNormal.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.monitoringViewServer_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/monitoringViewServer.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.monitoringAddServer_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/monitoringAddServer.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.monitoringServers_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/monitoringServers.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.monitoringAddGraph_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/monitoringAddGraph.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.monitoringMaximized_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/monitoringMaximized.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.monitoringAddView_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/monitoringAddView.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.monitoringViews_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/monitoringViews.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.monitoringEditView_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/monitoringEditView.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.monitoringHelp_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/monitoringHelp.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.monitoringEdit_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/monitoringEdit.jsp</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>jsp.WEB_002dINF.view.monitoringEditServer_jsp</servlet-name>
        <url-pattern>/WEB-INF/view/monitoringEditServer.jsp</url-pattern>
    </servlet-mapping>
    <security-role>
        <role-name>admin</role-name>
    </security-role>
    <security-role>
        <role-name>monitor</role-name>
    </security-role>
    <resource-env-ref>
        <resource-env-ref-name>org.apache.geronimo.monitoring.console.PopUpGraphServlet/userTransaction</resource-env-ref-name>
        <resource-env-ref-type>javax.transaction.UserTransaction</resource-env-ref-type>
        <injection-target>
            <injection-target-class>org.apache.geronimo.monitoring.console.PopUpGraphServlet</injection-target-class>
            <injection-target-name>userTransaction</injection-target-name>
        </injection-target>
    </resource-env-ref>
    <persistence-context-ref>
        <persistence-context-ref-name>jpa/monitoring</persistence-context-ref-name>
        <persistence-unit-name>jpa/monitoring</persistence-unit-name>
    </persistence-context-ref>
    <persistence-context-ref>
        <persistence-context-ref-name>org.apache.geronimo.monitoring.console.PopUpGraphServlet/entityManager</persistence-context-ref-name>
        <persistence-context-type>Transaction</persistence-context-type>
        <injection-target>
            <injection-target-class>org.apache.geronimo.monitoring.console.PopUpGraphServlet</injection-target-class>
            <injection-target-name>entityManager</injection-target-name>
        </injection-target>
    </persistence-context-ref>
</web-app>
